
Figure - Bug #118992
【AF】【EVT3】【Monkey】118版本Monkey测试15小时后，异常停止
2023-07-07 10:11 - CD TEST-方永红

Status: CLOSED Start date: 2023-07-07

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 0118

Resolution: INVALID Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【测试命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试环境】

中控0096

副屏118

【测试情况】

116版本Monkey测试15小时后，异常停止，未进入屏保

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118_77_005/device-2-0118-7.7

History

#1 - 2023-07-07 14:29 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- Need_Info changed from -- to TEST

■ 我的分析

--------------

07-07 09:14:42.211  5508  5508 I Monkey  : :Sending Touch (ACTION_DOWN): 0:(877.0,622.0)

07-07 09:14:42.218  5508  5508 I Monkey  : :Sending Touch (ACTION_UP): 0:(876.9111,622.4091)

07-07 09:14:42.223  5508  5508 I Monkey  : Sleeping for 500 milliseconds

07-07 09:14:42.304  5508 21559 W Monkey  : // NOT RESPONDING: tv.danmaku.bilibilihd (pid 21440)

07-07 09:14:42.305  5508 21559 W Monkey  : ANR in tv.danmaku.bilibilihd (tv.danmaku.bilibilihd/com.bilibili.video.videodetail.VideoDetailsActivity)

07-07 09:14:42.305  5508 21559 W Monkey  : PID: 21440

07-07 09:14:42.305  5508 21559 W Monkey  : Reason: Input dispatching timed out (64affbb tv.danmaku.bilibilihd/com.bilibili.video.videodetail.VideoDetailsActivity

(server) is not responding. Waited 5000ms for FocusEvent(hasFocus=false))

07-07 09:14:42.305  5508 21559 W Monkey  : Parent: tv.danmaku.bilibilihd/com.bilibili.video.videodetail.VideoDetailsActivity

07-07 09:14:42.305  5508 21559 W Monkey  : ErrorId: 8826b995-1aa0-4897-a321-ba8334bfb982

07-07 09:14:42.305  5508 21559 W Monkey  : Frozen: false

07-07 09:14:42.305  5508 21559 W Monkey  : Load: 0.0 / 0.0 / 0.0
07-07 09:14:42.305  5508 21559 W Monkey  : ----- Output from /proc/pressure/memory -----

07-07 09:14:42.305  5508 21559 W Monkey  : some avg10=8.71 avg60=6.92 avg300=6.78 total=230636232

07-07 09:14:42.305  5508 21559 W Monkey  : full avg10=0.27 avg60=0.22 avg300=0.24 total=146737781

.....

07-07 09:36:16.070  5508  5508 W Monkey  :           0K: Cursor

07-07 09:36:16.142  5508  5508 W Monkey  :           0K: Other mtrack

07-07 09:36:16.178  5508  5508 W Monkey  : 

07-07 09:36:16.251  5508  5508 W Monkey  : Total RAM: 7,895,212K (status normal)

07-07 09:36:16.322  5508  5508 W Monkey  :  Free RAM: 3,700,245K (  153,757K cached pss + 2,632,936K cached kernel +   913,552K free)

07-07 09:36:16.394  5508  5508 W Monkey  :       ION:   420,008K (    8,412K mapped +   411,596K unmapped +         0K pools)

07-07 09:36:16.466  5508  5508 W Monkey  :  Used RAM: 4,350,329K (3,207,229K used pss + 1,143,100K kernel)

07-07 09:36:16.538  5508  5508 W Monkey  :  Lost RAM:   449,497K

07-07 09:36:16.610  5508  5508 W Monkey  :      ZRAM:   169,956K physical used for   805,036K in swap (4,194,300K total swap)

07-07 09:36:16.682  5508  5508 W Monkey  :    Tuning: 512 (large 512), oom   322,560K, restore limit   107,520K (high-end-gfx)

①从09:14:42到09:36:16，由于monkey一直在打印ANR的trace信息，因此没有注入事件，画面也不会继续跳动

07-07 09:36:16.997 21533 21533 D ViewTouchDebug: mView : DecorView@159d810[DreamActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id0=0, x0=1394.0, y0=453.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=55560443, downTime=55560443, deviceId=2, source=0x5002, displayId=0, eventId=905496377 }

07-07 09:36:17.021 21533 21533 D ViewTouchDebug: mView : DecorView@159d810[DreamActivity]Receive event : MotionEvent { action=ACTION_CANCEL,

actionButton=0, id0=0, x0=1394.0, y0=453.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=55560473, downTime=55560443, deviceId=2, source=0x5002, displayId=0, eventId=1416294697 }

②09:36:16, 人为操作了屏幕，日志反应是点击了屏保画面

07-07 09:36:17.421  5508  5508 I Monkey  : :Sending Touch (ACTION_DOWN): 0:(397.0,522.0)

07-07 09:36:17.502  5508  5508 I Monkey  : :Sending Touch (ACTION_UP): 0:(393.59033,514.07056)

07-07 09:36:17.582  5508  5508 I Monkey  : Sleeping for 500 milliseconds

③09:36:17，monkey打印trace信息完成，继续注入事件

07-07 09:36:25.406  5508  5508 W Monkey  : java.lang.SecurityException: Injecting to another application requires INJECT_EVENTS permission

07-07 09:36:25.406  5508  5508 W Monkey  :     at android.os.Parcel.createExceptionOrNull(Parcel.java:2425)

07-07 09:36:25.406  5508  5508 W Monkey  :     at android.os.Parcel.createException(Parcel.java:2409)

07-07 09:36:25.406  5508  5508 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2392)

07-07 09:36:25.406  5508  5508 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2334)

07-07 09:36:25.406  5508  5508 W Monkey  :     at android.hardware.input.IInputManager$Stub$Proxy.injectInputEvent(IInputManager.java:1379)

07-07 09:36:25.406  5508  5508 W Monkey  :     at android.hardware.input.InputManager.injectInputEvent(InputManager.java:1091)

07-07 09:36:25.406  5508  5508 W Monkey  :     at com.android.commands.monkey.MonkeyMotionEvent.injectEvent(MonkeyMotionEvent.java:188)

07-07 09:36:25.406  5508  5508 W Monkey  :     at com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

07-07 09:36:25.406  5508  5508 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

07-07 09:36:25.406  5508  5508 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

07-07 09:36:25.406  5508  5508 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

07-07 09:36:25.406  5508  5508 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

07-07 09:36:25.406  5508  5508 W Monkey  : Caused by: android.os.RemoteException: Remote stack trace:

07-07 09:36:25.406  5508  5508 W Monkey  :     at com.android.server.input.InputManagerService.injectInputEventInternal(InputManagerService.java:885)

07-07 09:36:25.406  5508  5508 W Monkey  :     at com.android.server.input.InputManagerService.injectInputEvent(InputManagerService.java:837)

07-07 09:36:25.406  5508  5508 W Monkey  :     at android.hardware.input.IInputManager$Stub.onTransact(IInputManager.java:588)

07-07 09:36:25.406  5508  5508 W Monkey  :     at android.os.Binder.execTransactInternal(Binder.java:1179)

07-07 09:36:25.406  5508  5508 W Monkey  :     at android.os.Binder.execTransact(Binder.java:1143)

07-07 09:36:25.406  5508  5508 W Monkey  : 

07-07 09:36:25.506  5508  5508 I Monkey  : Events injected: 274587

07-07 09:36:28.042  5508  5508 W Monkey  : ** System appears to have crashed at event 274587 of 12000000 using seed 1234567

07-07 09:36:28.044  5508  5508 I app_process: System.exit called, status: 274587

④由于人为操作屏幕，monkey注入事件出错，monkey停止

2025-07-04 2/3

#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0


--------------

moneky由于长时间打印trace信息，没有注入事件，测试同学误以为monkey停止，然后操作屏幕，导致monkey出错退出

monkey实际没有停止，请测试同学确认

#2 - 2023-07-08 16:29 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to INVALID

7.8

确认为人为操作导致monkey停止

#3 - 2023-07-08 16:29 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#4 - 2023-07-08 16:29 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
